--- layout: api title: "v1.6.1 API: L.CircleMarker" categories: api version: v1.6.1 permalink: /api/v1.6.1/l-circlemarker ---

## CircleMarker

A circle of a fixed size with radius specified in pixels. Extends Circle. Use Map#addLayer to add it to the map.

### Creation

Factory | Description
--- | ---
`L.circleMarker( <LatLng> latlng, <Path options> options? )` | Instantiates a circle marker given a geographical point and optionally an options object. The default radius is 10 and can be altered by passing a "radius" member in the path options object.

### Methods

Method | Returns | Description
--- | --- | ---
`setLatLng( <LatLng> latlng )` | `this` | Sets the position of a circle marker to a new location.
`setRadius( <Number> radius )` | `this` | Sets the radius of a circle marker. Units are in pixels.
`toGeoJSON()` | `Object` | Returns a GeoJSON representation of the circle marker (GeoJSON Point Feature).